> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 멤버 목록 조회

> 비즈니스의 멤버(`Member`) 목록을 최신순(`created` DESC)으로 조회합니다. 각 멤버는 사용자 정보(`user`)와 등급(`grade`)을 nested로 포함합니다.

**플랜 제약:** FREE/TEAM/AGENCY 플랜에서만 사용 가능 — 다른 플랜은 403 `PLAN_PERMISSION_DENIED`.

**검색:** `search` 쿼리 파라미터는 복수 전달 시 AND 결합으로 동작합니다 (예: `?search=A&search=B`는 닉네임/이메일 중 A·B 모두 포함하는 멤버만 반환).

**용도:** 의뢰 담당자(`in_charge_set`) 지정 시 `Member.id`로 참조됩니다.



## OpenAPI

````yaml GET /v1/member
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/member:
    get:
      tags:
        - member
      summary: 멤버 목록
      description: >-
        비즈니스의 멤버(`Member`) 목록을 최신순(`created` DESC)으로 조회합니다. 각 멤버는 사용자
        정보(`user`)와 등급(`grade`)을 nested로 포함합니다.


        **플랜 제약:** FREE/TEAM/AGENCY 플랜에서만 사용 가능 — 다른 플랜은 403
        `PLAN_PERMISSION_DENIED`.


        **검색:** `search` 쿼리 파라미터는 복수 전달 시 AND 결합으로 동작합니다 (예:
        `?search=A&search=B`는 닉네임/이메일 중 A·B 모두 포함하는 멤버만 반환).


        **용도:** 의뢰 담당자(`in_charge_set`) 지정 시 `Member.id`로 참조됩니다.
      operationId: member_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: query
          name: is_active
          schema:
            type: boolean
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
        - in: query
          name: search
          schema:
            type: array
            items:
              type: string
          description: 검색어 (복수 전달 시 AND 결합). 닉네임/이메일에 대해 부분 일치(icontains).
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiMemberListList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiMemberListList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiMemberList'
    OpenapiMemberList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````